Get Live Session
Get a live session by ID with associated donations.
Authorization
API Key x-api-key<token>
API key used for authentication
In: header
Query Parameters
id*string
Session ID
Match
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidResponse Body
application/json
application/json
curl -X GET "https://loading/api/v1/live-session/getById?id=497f6eca-6276-4993-bfeb-53cbbbba6f08"{
"session": {
"id": "00000000-0000-0000-0000-000000000000",
"platform": "twitch",
"startTime": "2026-04-11T01:15:19.228Z",
"endTime": "2026-04-11T02:15:19.228Z",
"peakViewerCount": 500,
"finalViewerCount": 450,
"externalSessionId": null,
"note": null,
"createdAt": "2026-04-11T01:15:19.228Z",
"updatedAt": "2026-04-11T01:15:19.228Z"
},
"donations": []
}{
"error": "string",
"code": "string",
"details": {}
}